Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Asus Z53S
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
EagleHeart
n00b
n00b


Joined: 28 Aug 2007
Posts: 10

PostPosted: Tue Aug 28, 2007 11:18 am    Post subject: Asus Z53S Reply with quote

Приветствую всех!!!
Купил себе ноут ASUS Z53S (Core2DuoT5250/1GbRAM/HDD120/GF8400MG), решил поставить на него Gentoo, впринципи при установке особых трудностей не возникло, споткулся я при установке иксов, а точнее драйверов на видюху, при установке nvidia-drivers-100.14.11 глохнет на следущем:
Code:
>>> Source compiled
>>> Test phase [not enabled]: x11-drivers/nvidia-drivers-100.14.11

>>> Install nvidia-drivers-100.14.11 into /var/tmp/portage/nvidia-drivers-100.14.11/image/ category x11-drivers
  * Installing nvidia module

!!! ERROR: x11-drivers/nvidia-drivers-100.14.11 failed
Call stack:
   ebuild.sh, line 1539:    Called dyn_install
   ebuild.sh, line 1013:    Called src_install
   nvidia-drivers-100.14.11.ebuild, line 247:   Called src_install-libs
   nvidia-drivers-100.14.11.ebuild, line 351:   Called wants_tls
   nvidia-drivers-100.14.11.ebuild, line 463:   Called build_with_use '--missing' 'true' 'sys-libs/glibc' 'nptl'
   eutils.eclass, line 1597:   Called die

!!! Unable to resolve true to an installed package
!!! If you need support, post the topmost build error, and the stack if relevant

!!! This ebuild is from an overlay: '/usr/local/portage'


Несмотря на это я всетки решил поробовать подгрузить модуль как сказано в "Руководстве по видеокартам nVidia"
Code:
# lsmod | grep nvidia && rmmod nvidia
# modprobe nvidia
# modules-update


Вроде бы никаких матов в ответ услышано не было, знач вроде получилось
lsmod выдает:
Code:
# lsmod
nvidia            7749784  0
i2c_core            24320  1   nvidia


при запуске иксов следущее:
Code:
(EE) NVIDIA(GPU-0): Failed to initialize dac HAL
(EE) Screen(s) found, but none have a usable configuration

Fatal server error:
no screens found


вчера весь день просидел с конфигами иксов, думал там трабла, вроде как все боле моле нормально у меня, так что думаеца что это с дровами чето нето, lspci не опознает видюху толком:

Code:
01:00.0 VGA compatible controller:nVidia Corporation Unknown device 0428 (rev a1)


есть у кого какие соображения? подскажите плиз куда копать...
заранее благодарен
Back to top
View user's profile Send private message
Laitr Keiows
Moderator
Moderator


Joined: 04 Jul 2005
Posts: 891
Location: Kobe, Japan

PostPosted: Tue Aug 28, 2007 11:23 am    Post subject: Re: Asus Z53S Reply with quote

EagleHeart wrote:
Code:
!!! This ebuild is from an overlay: '/usr/local/portage'

Попробуй обновить оверлей, похоже в ebuild ошибка вкралась.
Back to top
View user's profile Send private message
EagleHeart
n00b
n00b


Joined: 28 Aug 2007
Posts: 10

PostPosted: Tue Aug 28, 2007 11:31 am    Post subject: Re: Asus Z53S Reply with quote

Laitr Keiows wrote:
Попробуй обновить оверлей, похоже в ebuild ошибка вкралась.


Всмысле другой ebuild cкачать? в нете почемуто два разных было на эти дрова
Back to top
View user's profile Send private message
ator
n00b
n00b


Joined: 21 Feb 2004
Posts: 54
Location: Kzn

PostPosted: Tue Aug 28, 2007 4:45 pm    Post subject: Reply with quote

Попробуй отключить оверлей и установить стандартно. Ебилд для этой версии давно включён в основное дерево.
Back to top
View user's profile Send private message
EagleHeart
n00b
n00b


Joined: 28 Aug 2007
Posts: 10

PostPosted: Tue Aug 28, 2007 7:32 pm    Post subject: Reply with quote

ator wrote:
Попробуй отключить оверлей и установить стандартно. Ебилд для этой версии давно включён в основное дерево.


У меня ноут в инет выхода не имеет, я пользуюсь январским снимком заркала на 11 болванах, так что целиком дерево обновить нет возможности да и смысла в данный момент не имеет. Скопировал ebuild с инета тоже самое, шо делать?
Back to top
View user's profile Send private message
_Sir_
Guru
Guru


Joined: 17 Jan 2005
Posts: 337
Location: Russia, Togliatti

PostPosted: Tue Aug 28, 2007 8:59 pm    Post subject: Reply with quote

Нет смысла устанавливать gentoo, если ты не собираешься иметь актуальным дерево портежей.
Ставь kubuntu, или что больше по душе...
Например, недавно была проблема с ati-drivers, которые дружно перестали работать с ядром 2.6.22. И если бы не было обновлений, решения можно было бы ждать вечно :)

Согласно статистике, в Gentoo очень большое количество проблем решается
emerge --sync и его производными, в частности, emerge-delta-webrsync
Я на ноуте иногда и через сотовый обновляюсь, через gprs.
_________________
(Sir) * Life is placeholder for Love *
Back to top
View user's profile Send private message
EagleHeart
n00b
n00b


Joined: 28 Aug 2007
Posts: 10

PostPosted: Tue Aug 28, 2007 9:11 pm    Post subject: Reply with quote

Quote:
Нет смысла устанавливать gentoo, если ты не собираешься иметь актуальным дерево портежей...................

я же не сказал что не собираюсь, в данный момент я хочу поставить и разобраца боле менее не затрачивая особых средств на инет, там более есть снимок заркала пусть и полугодовалый, дрова я разумееца последние качал, может быть ядро тоже стоит скачать? ибо у меня 2.6.19
Back to top
View user's profile Send private message
_Sir_
Guru
Guru


Joined: 17 Jan 2005
Posts: 337
Location: Russia, Togliatti

PostPosted: Tue Aug 28, 2007 9:44 pm    Post subject: Reply with quote

EagleHeart wrote:
я же не сказал что не собираюсь, в данный момент я хочу поставить и разобраца боле менее не затрачивая особых средств на инет, там более есть снимок заркала пусть и полугодовалый, дрова я разумееца последние качал, может быть ядро тоже стоит скачать? ибо у меня 2.6.19

    1. Полугодовалый снимок можешь раздать на подставки для кружек :) если только он тебе не дорог, как память. Никто не ставит все пакеты, только чтобы разобраться :)
    2. portage-latest.tar.bz2 28-Aug-2007 04:57 37M -- а сколько весят драйвера, что ты качал и ядро, думаю еще помнишь :)
    3. deltup-getdelta
    4. emerge-delta-webrsync
    5. и самое главное: чтобы разобраться, нужно скачать/читать в онлайне до дыр хэндбук и другую документацию, особенно касающуюся "устройства" данного дистрибутива.

Gentoo is all about choices (c) so your mileage may vary
_________________
(Sir) * Life is placeholder for Love *
Back to top
View user's profile Send private message
EagleHeart
n00b
n00b


Joined: 28 Aug 2007
Posts: 10

PostPosted: Wed Aug 29, 2007 10:19 am    Post subject: Reply with quote

ну а кроме глобального обновления будут какиеньть соображения?
Back to top
View user's profile Send private message
fank
l33t
l33t


Joined: 16 Oct 2004
Posts: 794
Location: Minsk, Belarus

PostPosted: Wed Aug 29, 2007 11:20 am    Post subject: Reply with quote

http://ubuntuforums.org/archive/index.php/t-447228.html
похожая ситуация
может, я че та недопонял, но модуль у тебя в нужное место не упал...
modinfo тебе покажет версию

http://www.mandrivauser.de/viewtopic.php?pid=150608
здесь на немецком, в котором я ни бум-бум, но вроде ясно, что чел просто старые дрова пытался ставить
ему посоветовали обновить
все пошло у него вроде
тока делать там почему то рекомендуют из 3 уровня (init 3)
наверное, чтобы убедиться, что левые модули не подгрузились =)

http://www.linux.com.pl/forum/index.php?t=msg&goto=301282&rid=0&S=e153b762a1edcc95d3ef07f950f47c1d
здесь по польски, но понятно =)
рекомендуют поставить HAL

дерзай и удачи!
Back to top
View user's profile Send private message
EagleHeart
n00b
n00b


Joined: 28 Aug 2007
Posts: 10

PostPosted: Wed Aug 29, 2007 12:27 pm    Post subject: Reply with quote

fank wrote:
http://ubuntuforums.org/archive/index.php/t-447228.html
похожая ситуация
может, я че та недопонял, но модуль у тебя в нужное место не упал...
modinfo тебе покажет версию

выдает кучу переменных

Quote:

http://www.mandrivauser.de/viewtopic.php?pid=150608
здесь на немецком, в котором я ни бум-бум, но вроде ясно, что чел просто старые дрова пытался ставить
ему посоветовали обновить
все пошло у него вроде
тока делать там почему то рекомендуют из 3 уровня (init 3)
наверное, чтобы убедиться, что левые модули не подгрузились =)

дрова ставлю самы последние, написано что видюху поддерживают мою

Quote:

http://www.linux.com.pl/forum/index.php?t=msg&goto=301282&rid=0&S=e153b762a1edcc95d3ef07f950f47c1d
здесь по польски, но понятно =)
рекомендуют поставить HAL

поставил, непомогло
Back to top
View user's profile Send private message
EagleHeart
n00b
n00b


Joined: 28 Aug 2007
Posts: 10

PostPosted: Wed Aug 29, 2007 12:41 pm    Post subject: Reply with quote

сейчас внимательней разглядывал лог иксов наткнулся на такие строчки:
Code:
(II)LoadModule: "glx"
(II) Loading/usr/lib64/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
           Compiled for 4.0.2, module version =1.0.9746
           Module class: X.Org Server Extintion
           ABI class: X.Org Server Extintion, version 0.1


glx явно от старых дров может он мне все душит
Back to top
View user's profile Send private message
fank
l33t
l33t


Joined: 16 Oct 2004
Posts: 794
Location: Minsk, Belarus

PostPosted: Wed Aug 29, 2007 12:45 pm    Post subject: Reply with quote

Quote:
glx явно от старых дров может он мне все душит

первую ссылку в моем посте читал?

Quote:
To anyone with the new cards, or anyone with these errors:

apt-get --purge remove nvidia-*
To remove all the nvidia-kernel stuff BEFORE you download the beta drivers.
Back to top
View user's profile Send private message
EagleHeart
n00b
n00b


Joined: 28 Aug 2007
Posts: 10

PostPosted: Wed Aug 29, 2007 12:59 pm    Post subject: Reply with quote

fank wrote:
первую ссылку в моем посте читал?

Quote:
apt-get --purge remove nvidia-*
To remove all the nvidia-kernel stuff BEFORE you download the beta drivers.


читал, но как мне снести старые дрова так и не понял, обисните новичку плиз
Back to top
View user's profile Send private message
fank
l33t
l33t


Joined: 16 Oct 2004
Posts: 794
Location: Minsk, Belarus

PostPosted: Thu Aug 30, 2007 1:24 pm    Post subject: Reply with quote

если не ошибаюсь в названии пакетов
Code:
emerge -C nvidia-kernel nvidia-glx

в любом случае поиск по базе пакетов никто не отменял
Code:
emerge -sS nvidia
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum